<template>
  <v-row>
    <v-col cols="12">
      <h3>Map Location</h3>
    </v-col>
    <v-col cols="12" sm="6" md="12">
      <v-text-field
        v-model="objLocal.locateName"
        label="ชื่อพื้นที่"
        :rules="LocateNameRule"
        filled
        rounded
        :disabled="
          disabled && obj.status === 'WE' && role === 'Partner'
            ? false
            : disabled
        "
        dense
        required
      ></v-text-field>
    </v-col>
    <!-- <v-col cols="12" sm="6" md="4">
      <v-text-field
        v-model="objLocal.latitude"
        :rules="LatitudeRule"
        label="latitude"
        type="number"
        filled
        rounded
        :disabled="
          disabled && obj.status === 'WE' && role === 'Partner'
            ? false
            : disabled
        "
        dense
        required
      ></v-text-field>
    </v-col>
    <v-col cols="12" sm="6" md="4">
      <v-text-field
        v-model="objLocal.longtitude"
        :rules="LongtitudeRule"
        label="longtitude"
        type="number"
        filled
        rounded
        :disabled="
          disabled && obj.status === 'WE' && role === 'Partner'
            ? false
            : disabled
        "
        dense
        required
      ></v-text-field>
    </v-col> -->
    <v-col cols="12">
      <h3>รายละเอียดที่อยู่</h3>
    </v-col>
    <v-col cols="12" md="3">
      <v-text-field
        v-model="objLocal.subDistrict"
        :rules="[GeneralRule.require]"
        label="ตำบล / แขวง"
        filled
        rounded
        :disabled="
          disabled && obj.status === 'WE' && role === 'Partner'
            ? false
            : disabled
        "
        dense
        required
      ></v-text-field>
    </v-col>
    <v-col cols="12" md="3">
      <v-text-field
        v-model="objLocal.district"
        :rules="[GeneralRule.require]"
        label="อำเภอ / เขต"
        :disabled="
          disabled && obj.status === 'WE' && role === 'Partner'
            ? false
            : disabled
        "
        filled
        rounded
        dense
        required
      ></v-text-field>
    </v-col>
    <v-col cols="12" md="3">
      <v-text-field
        v-model="objLocal.province"
        :rules="[GeneralRule.require]"
        label="จังหวัด"
        :disabled="
          disabled && obj.status === 'WE' && role === 'Partner'
            ? false
            : disabled
        "
        filled
        rounded
        dense
        required
      ></v-text-field>
    </v-col>
    <v-col cols="12" md="3">
      <v-text-field
        v-model="objLocal.postalCode"
        :rules="[GeneralRule.require, GeneralRule.postalCode]"
        label="เลขไปรษณีย์"
        filled
        rounded
        :disabled="
          disabled && obj.status === 'WE' && role === 'Partner'
            ? false
            : disabled
        "
        dense
        required
      ></v-text-field>
    </v-col>
  </v-row>
</template>

<script>
export default {
  props: ["obj", "disabled"],
  data() {
    return {
      role: this.$store.getters["auth/roleUser"],
      GeneralRule: {
        require: (v) => !!v || "กรุณาใส่ข้อมูล",
        postalCode: (v) => (!!v && v.length == 5) || "รหัสไปรษณีย์ไม่ถูกต้อง",
      },
      LatitudeRule: [
        (v) => !!v || "กรุณาใส่ละติจูด",
        (v) => (v && v >= -90.0 && v && v <= 90.0) || "ละติจูดไม่ถูกต้อง",
      ],
      LocateNameRule: [(v) => !!v || "กรุณาใส่ชื่อสถานที่"],
      LongtitudeRule: [
        (v) => !!v || "กรุณาใส่ลองติจูด",
        (v) => (v && v >= -180.0 && v && v <= 180.0) || "ลองติจูดไม่ถูกต้อง",
      ],
    };
  },
  model: {
    prop: "obj",
    event: "objChange",
  },
  computed: {
    objLocal: {
      get: function () {
        return this.obj;
      },
      set: function (value) {
        this.$emit("objChange", value);
      },
    },
  },
};
</script>

<style>
</style>